@import url('https://fonts.googleapis.com/css2?family=Nunito:wght@200&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Dancing+Script&family=Pacifico&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Staatliches&display=swap');
@import url('https://fonts.googleapis.com/css?family=Montserrat:400,500,600,700');


body{
    margin: 0;
    padding: 0;
    font-family: sans-serif;
    background-color: rgb(247, 243, 238);
}
/*-----logo------*/
.logo{
    display: inline;
    border: 10px double black;
    padding: 3px;
    font-family: Dancing Script;
    background-color: antiquewhite;
    color: #000;
    font-size: 25px;
}

/*--------container-----------*/
.container{
    text-align: center;
    margin: 20px auto;
    padding: 30px;
    justify-content: center;
    font-family: Dancing Script;
}
img{
    width: 100%;
}
section {
    padding: 30px 0;
    margin: 50px;
    background: #fff;
    text-align: center;
}

h2{
    font-weight: 500;
    letter-spacing: 5px;
}
.item-title{
    border-bottom: 10px solid pink;
    letter-spacing: 8px;
}


/*--------header navbars-------*/
header{
    font-family: nunito;
    position: fixed;
    top: 0;
    left: 0;
    padding: 10px 100px;
    background:wheat;
    width: 100%;
    box-sizing: border-box;
    z-index: 100;
}
header {
    color: #333;
    line-height: 50px;
    font-size: 20px;
    float: left;
    font-weight: bold;
}
header .input{
    width: 300px;
}
header nav{
    z-index: 100;
    float: right;
}
header nav ul{
    margin: 0;
    padding: 0;
    display: flex;
}
nav ul li{
    list-style: none;
    position: relative;
}
nav ul li ul{
    position: absolute;
    left: 0;
    background: wheat;
    display: none;
}
nav ul li.active ul{
    display: block;
}
nav ul li ul li{
    display:block;
    width:200px;
}

header nav ul li a{
    height: 50px;
    line-height: 50px;
    padding: 0 15px;
    color: #333;
    font-size: 20px;
    text-decoration: none;
    display: block;
}
header nav ul li a:hover,
header nav ul li a.active{
    background: #fff;
}
.menu-toggle{
    color: #fff;
    float: right;
    line-height: 50px;
    font-size: 24px;
    cursor: pointer;
    display: none;
}

/*----------searchbox----------------------*/
.buscar-caja {
    border: none;
    position: fixed;
    top: 35px;
    left: 5%;
    transform: translate( 0%, 50%);
    background: antiquewhite;
    height: 60px;
    border-radius: 40px;
    padding: 10px;
    margin: 50px;
    z-index: 99;
  }
  .buscar-caja:hover > .buscar-txt {
    width: 260px;
    padding: 0px;
    margin-left: 12px;
  }
  .buscar-caja:hover > .buscar-btn {
    background: white;
    color: antiquewhite;
    border: none;
  }
  .buscar-btn {
    color: #333;
    float: right;
    width: 40px;
    height: 40px;
    border-radius: 50%;
    background: #fff;
    display: flex;
    justify-content: center;
    align-items: center;
    transition: 0.4s;
    cursor: pointer;
  }
  .buscar-btn > i {
    border: none;
    font-size: 20px;
  }
  .buscar-txt {
    border: none;
    background: none;
    outline: none;
    float: left;
    padding-bottom: 10px;
    color: #333;
    font-size: 16px;
    transition: 0.4s;
    line-height: 40px;/* mojiwo mannnakani*/
    width: 0px;/*kokode hoverdenobirukannzi */
    font-weight: bold;
  }

/*---------------------------------*/  

.form{
    background-color: rgba(0, 0, 0, 0.6);
    position: fixed;
    top: 0;
    right: 0;
    bottom: 0;
    left: 0;
    background-color: rgba(0, 0, 0, 0.6);
    z-index: 100;
    display: none;
    
}
.loginform{
    z-index: 9999999;
    position: fixed;
    top: 50%;
    left: 50%;
    transform: translateY(-50%) translateX(-50%);
    transform: translateY(-50%) translateX(-50%);
    margin: auto;
    background: rgb(251, 252, 251);
    padding: 50px 40px;
}
.loginform .header{
    letter-spacing: 5px;
    font-size: 30px;
    margin-bottom: 40px;
    font-family: Dancing Script;
}
.input-field, form .button{
    margin: 25px 0;
    position: relative;
    height: 50px;
    width: 100%;
}
.input-field input{
    height: 100%;
    width: 100%;
    border: 1px solid silver;
    padding-left: 15px;
    outline: none;
    font-size: 19px;
    transition: .4s;
}
.input-field .fa-eye {
    position: absolute;
    margin:15px 0 0 -45px;
    font-size: 20px;
    color: black;
}
.input-field .fa-user-circle{
    position: absolute;
    margin:15px 0 0 -43px;
    font-size: 20px;
    color: black;
}
.form input:focus{
    border: 1px solid #1da1f2;
}
.input-field label{
    position: absolute;
    top: 50%;
    left: 15px;
    transform: translateY(-50%);
    pointer-events:none;
    color: grey;
    font-size: 18px;
    transition: .4s;
}
input:focus ~ label,
input:valid ~ label{
    transform: translateY(-33px);
    background: white;
    font-size: 16px;
    color: #1da1f2;
}
#close,
 .new{
    float: right;
}


/*-----------------スライダー---------------*/

.slick{
    background-color: #fff;
    margin-top: 80px;
}

.slider{
    margin: auto;
    width: 100%;
    height: auto;
    padding: 25px;
    background-color: #fff;
}
.slider:hover{
    box-shadow: 0 2px 10px rgb(240, 146, 190);
    transition: all .5s;
}
/*左右の矢印の形を変える*/
.slick-prev::before {
    position: relative;
    content: url("prev.png");
    padding: 10px;
    opacity: 1;
      }

.slick-next::before {
    position: relative;
    content: url("next.png");
    padding: 10px;
    opacity: 1;
}

/*左右の矢印の位置を変える*/
.slick-next::before {
    right: -30px;
    z-index: 99;
}
.slick-prev::before {
     left: -75px;
    z-index: 100;
}
/*スライド数のドットの色を変える*/
.slick-dots li.slick-active button:before,
.slick-dots li button:before {
    color: #fff;
}
/*スライド画像の横幅可変*/
img {
    max-width: 100%;
     height: auto;
}



/*-------------------------*/

.container .introduce{
    max-width: 1200px;
    width: 100%;
    margin: auto;
}

/*  ------------  introduce　自社紹介     ---------       */

.text{
    margin: auto;
}
.content .bannerText div{
    display: none;
}
.intro_text{
    background: white;
    margin: auto 30px;
}
.content .bannerText text{
    margin: 30px;
    display: none;
}
.content .bannerText div.active{
    display: initial;
}
.content .bannerText h5{
    font-size: 24px;
    text-transform: uppercase;
    font-weight: 800;
    line-height: 1.2em;
    color: #333;
}
.content .bannerText p{
    font-size: 18px;
    color: #333;
    line-height: 1.8em;
    margin: 20px 0;
}

.content .bannrerImg{
    position: relative;
    width: 540px;
    height: 440px;
}
.content .bannrerImg img{
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    object-fit: cover;
    transition: .5s;
    opacity: 0;
}
.content .bannrerImg img.active{
    opacity: 1;
}
.controls {
    position: relative;
}
 .controls li {
     position: relative;
     right: 0%;
     bottom: 0%;
     float: right;
    list-style: none;
    margin-left: 50px;
    cursor: pointer;
    filter: (1);
    transition: 0.5s ease-in-out;
}
.controls li a{
    margin: 10px;
}

/*---------おすすめカテゴリー----------*/


.select a{
    transition: all .5s;
    text-decoration: none;
    color: black;
}
.select img{
    width: 100%;
    transition: all .5s;
}

.container .select{
    max-width: 1200px;
    width: 100%;
    margin: 0 auto;
}
.cards{
    display: grid;
    grid-template-columns: repeat(4,1fr);
    grid-gap: 30px;
    margin: 30px 15px 0s 15px;
}

.singleBlog{
    position: relative;
    overflow: hidden;
    height: 580px;
    height: 100%;
    box-sizing: border-box;
    box-shadow: 0 2px 10px #ccc;
    transition: all .5s;
}
.singleBlog:hover{
    box-shadow: 0 2px 13px #ccc;
    transition: all .5s;
}
.singleBlog:hover img{
   transform: scale(1.1);
   transition: all .4s;
}
.blogCotent{
    position: absolute;
    left: 0;
    bottom: -50px;
    width: 100%;
    color: #fff;
    padding: 10px 5px;
    background: linear-gradient(45deg, rgb(240, 146, 190)
    0%, rgba(245, 139, 183, 0.4)100%);
    transition: all .5s;
}
.singleBlog:hover .blogCotent{
    bottom: 0;
    transition: all .5s;
}
.blogCotent h3{
    font-size: 18px;
    font-weight: 500;
    letter-spacing: 5px;
    margin-bottom: 15px;
}
.blogCotent h3 span{
    display: block;
    font-size: 60%;
    margin-top: 5px;
    font-weight: 600;
    color: rgb(240, 146, 190);
}
.blogCotent a{
    font-size: 14px;
    font-weight: 500;
}
.blogCotent .btn{
    display: inline-block;
    padding: 5px 10px;
    border: 1px solid #fff;
    border-radius: 3px;
    font-weight: 400;
}
.blogCotent .btn:hover{
    background: rgba(245, 139, 183, 0.4);
    transition: all .5s;
    text-decoration: none;
}
.blogCotent .a:hover{
    text-decoration: underline;
}

/*-----------------------RECOMEND ----------------*/

.item-rec-card{
    padding: 0;
    text-align: center;
}
.item-rec-card:hover{
    transition: 0.5s;
}
.single-rec-card{
    margin: 10px;
    box-shadow: 0 2px 2px grey;
    padding-bottom: 10px;
    text-align: center;
}
.single-rec-card:hover{
    transform: translateY(-20px);   
    box-shadow: 0 2px 10px rgb(243, 185, 185);
    transition: 0.7s;
}

.item-rec-card .disc{
    font-size: 15px;
    color: #000;
    text-align: center;
    margin: auto;
}
.overlay{
    display: block;
    opacity: 0;
    position: absolute;
    top: 10%;
    margin-left: 0;
    width: 70px;
}
.product-top:hover .overlay{
    opacity: 1;
    margin-left: 5%;
    transition: 0.5s;
}

.overlay .fa{
    cursor: pointer;
    background-color: #fff;
    border-radius: 50%;
    color: #ccc;
    height: 35px;
    width: 35px;
    font-size: 20px !important;;
    padding: 7px;
    margin: 5%;
    margin-bottom: 5%;
    z-index: 100;
}
.item-rec-card p {
    font-size: 20px;
    margin: 5px auto 8px;
    color: #333;
}
.overlay .btn-btn-secondary{
    background: transparent !important;
    border: none !important;
    box-shadow: none !important;
}



@media (max-width:1200px){

    .content .bannrerImg{
        position: relative;
        width: 400px;
        height: 300px;
    }


}
@media (max-width:800px){

    .content .bannrerImg{
        position: relative;
        width: 300px;
        height: 250px;
    }
    
    

}

@media (max-width:992px){
    .slick-prev::before {
        display: none;
          }
    
    .slick-next::before {
        display: none;
    }
    header{
        padding: 0 20px;
    }
    .menu-toggle{
        display: block;
    }
    .content{
        padding: 20px;
    }
    .content .bannrerImg{
        display: none;
    }
    header nav{
        /*display: none;*/
        position: absolute;
        width: 100%;
        height: calc(100vh - 50px);
        background: wheat;
        top: 50px;
        left: -100%;
        transition: 0.5s;
    }
    header nav.active{
        left: 0;
    }
    header nav ul{
        display: block;
        text-align: center;
    }
    header nav ul li a{
        border-bottom: 1px solid rgba(0, 0, 0, 0.2);
    }
    nav ul li.active ul{
        position: relative;
        background: rgb(243, 185, 185);
    }
    nav ul li ul li{
        width: 100%; /* koredeyokonisuru*/
    }
    .cards{
        grid-template-columns: repeat(1,1fr);
    }
    .slider{
        /*display: none;*/
    }
}
@media (max-width:767px) {
    
    
    h2,h4{
    font-size: 45px;
        letter-spacing: 2px;
    }
    .cards{
        grid-template-columns: repeat(2,1fr);
        grid-gap: 15px;
    }
    .blogCotent{
        bottom: 0;
    }
    .content .bannrerImg
    {display: none;
    }
    .content{
        padding: 50px;
    }
    .controls img{
        width: 30px;
    }
}
@media (max-width:500px){

    section,
    .container{
        margin: 0;
    }
    .content{
        padding: 30px;
    }
    
    h2,h4{
        font-size: 15px;
    }
    .cards{
        grid-template-columns: repeat(1,1fr);}
    .loginform{
        z-index: 9999999;
        padding: 20px 20px;    
    }
    .controls img{
        width: 20px;
        display: inline;
    }
   .controls li a{
       margin: 5px;
       display: inline;
   }
   .footer-row{
       display: block;
       font-size: 10px;
       text-align: center;
   }
   footer h4{
    font-size: 18px;
}
.loginform{
    padding: 50px 30px;
    width: 90%;
}
       
}


